# Get carrier list information

| HTTP method | Endpoint                |
| ----------- | ----------------------- |
| **GET**     | **/v1/ dict\_carriers** |

**Note: If you want to add the query conditions, there are parameters Path introduced the field can be selected (only one query can be added at a time).**

## Path parameters <a href="#path-parameters-0" id="path-parameters-0"></a>

| Parameter | Description                    |
| --------- | ------------------------------ |
| id        | The unique id for the carrier. |
| name      | The name for the carrier.      |

## Response body parameters <a href="#response-body-parameters-0" id="response-body-parameters-0"></a>

| Field | Type    | Description                    |
| ----- | ------- | ------------------------------ |
| id    | integer | The unique id for the carrier. |
| name  | string  | The name for the carrier.      |

## Example request <a href="#example-request-0" id="example-request-0"></a>

**Request GET** <https://{networkname}.api.offerslook.com/v1/dict_carriers>

**Request GET** <http://{networkname}.api.offerslook.com/v1/dict_carriers>

## Example response <a href="#example-response-0" id="example-response-0"></a>

```
    {
      "code": 0,
      "message": "Success",
      "data": {
           "dict_carrier": [
            {
                "id": 1,
                "name": "012 telecom"
            },
            {
                "id": 2,
                "name": "018 xphone"
            },
            {
                "id": 3,
                "name": "1o1o / one2free / new world mobility / sunmobile"
            }
        ]
      }
    }
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://offerslook-api.gitbook.io/api-documentation/networkapi/dictionarymd/get_carrier_list_information.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
